Multivariate Pattern Analysis in Python

# mvpa2.misc.surfing.queryengine.QueryEngineInterface

class `mvpa2.misc.surfing.queryengine.``QueryEngineInterface`

  Very basic class for `QueryEngine`s defining the interface

  It should not be used directly, but is used to check either we are working with QueryEngine instances

  Methods

  `query`(**kwargs)

    Return feature ids of neighbors given a specific query

  `query_byid`(fid)

    Return feature ids of neighbors for a given feature id

  `train`(dataset)